#include <bits/stdc++.h>
using namespace std;

int main(){
    int n, k, x;
    cin >> n >> k >> x;
    long long a[n];
    for(int i = 0; i < n; i++){
        cin >> a[i];
    }
    for(int i = 0; i < n-k+1; i++){
        long long trenutniMax = 0;
        long long zbir1 = 0, zbir2 = 0;
        for(int j = i; j <= i+k-1; j++){
            zbir2+=a[j];
        }
        for(int j = i; j <= i+k-1; j++){
            zbir1+=a[j];
            trenutniMax = max(trenutniMax, zbir1 + (zbir2-zbir1)*2);
        }
        cout<<trenutniMax<<endl;
    }
}